%define name miniChinput
%define ver 0.0.2
%define rel 1

Name: %{name}
Version: %{ver}
Release: %{rel}

Summary: A Chinese XIM server
Copyright: GPL
Group: User Interface/X
Source: ftp://www.yichang.net.cn/pub/chinese/%{name}-0.0.2-alpha2.tar.bz2
Patch: %{name}-0.0.1-redhat.patch
Patch1: %{name}-0.0.1-ia64.patch
Patch2: %{name}-0.0.2-build.patch
URL: http://www.yichang.net.cn/~yang
BuildRequires: XFree86
Buildroot: /var/tmp/%{name}-%{version}-root
ExcludeArch: alpha

%description
MiniChinput is a tiny version of Chinput, a GPLed Chinese XIM server.

%prep
%setup -q
%patch -p1 -b .redhat
%patch1 -p1 -b .ia64
%patch2 -p1 -b .build


%build
./configure --prefix=/usr
make
make data

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr data-install

%clean

%files
%defattr(-, root, root)
/usr/bin/chinput
/usr/lib/Chinput/*

%changelog
* Tue Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.0.2 to fix tab2txt bugs.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 fix

* Tue Jul  3 2001 Yukihiro Nakai <ynakai@redhat.com>
- Exclude ia64 and alpha

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.
